%define major		7
%define libname		%mklibname matroska %{major}
%define develname	%mklibname matroska -d

Summary:	Matroska Audio/Video file format library
Name:		libmatroska
Version:	1.6.2
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.matroska.org/
Source0:	http://dl.matroska.org/downloads/libmatroska/%{name}-%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	pkgconfig(libebml) >= 1.4.0

%description
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachement, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.

%package -n	%{libname}
Summary:	Matroska Audio/Video file format shared library
Group:		System/Libraries

%description -n	%{libname}
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachement, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.

%package -n	%{develname}
Group:		Development/C++
Summary:	Matroska Audio/Video file format headers and static library
Requires:	%{libname} = %{version}
Provides:	libmatroska-devel = %{version}-%{release}

%description -n	%{develname}
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachement, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.

This package contains the C++ headers and the static library needed
for development with Matroska.

%prep
%setup -q
chmod 644 LICENSE*

# fix end of line encoding
sed -i 's/\r//' LICENSE.LGPL

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog LICENSE*
%{_includedir}/matroska
%{_libdir}/lib*.so
%{_libdir}/cmake/Matroska/
%{_libdir}/pkgconfig/libmatroska.pc


%changelog
* Mon Aug 24 2020 zezinho <zezinho> 1.6.2-1.mga8
+ Revision: 1618534
- new version 1.6.2

* Mon Jul 20 2020 zezinho <zezinho> 1.6.0-1.mga8
+ Revision: 1607320
- new version 1.6.0

* Sat Feb 15 2020 daviddavid <daviddavid> 1.5.2-2.mga8
+ Revision: 1527377
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Thu Jul 04 2019 daviddavid <daviddavid> 1.5.2-1.mga8
+ Revision: 1418499
- new version: 1.5.2

* Sun Mar 24 2019 daviddavid <daviddavid> 1.5.0-2.mga7
+ Revision: 1379893
- rebuild for arm

* Sun Mar 17 2019 zezinho <zezinho> 1.5.0-1.mga7
+ Revision: 1378213
- new version 1.5.0

* Sun Sep 23 2018 umeabot <umeabot> 1.4.9-2.mga7
+ Revision: 1298980
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 daviddavid <daviddavid> 1.4.9-1.mga7
+ Revision: 1222067
- new version: 1.4.9
- switch to cmake build
+ kekepower <kekepower>
- Use new make macros

* Tue Oct 17 2017 mjack <mjack> 1.4.8-1.mga7
+ Revision: 1172441
- Added the tarball
- Updated to new version 1.4.8
+ luigiwalser <luigiwalser>
- 1.4.7

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1.4.5-1.mga6
+ Revision: 1045605
- 1.4.5

* Mon Feb 15 2016 umeabot <umeabot> 1.4.4-2.mga6
+ Revision: 961095
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 gw666 <gw666> 1.4.4-1.mga6
+ Revision: 893798
- bump libebml dep
- new version
- update tarball to fixed version

* Sun Oct 18 2015 gw666 <gw666> 1.4.3-1.mga6
+ Revision: 892453
- new version

* Sat Aug 29 2015 cjw <cjw> 1.4.2-2.mga6
+ Revision: 871057
- rebuild with gcc 5

* Thu Apr 09 2015 gw666 <gw666> 1.4.2-1.mga6
+ Revision: 819947
- new version
- update build procedure
- add pkgconfig file
- update libebml dep

* Wed Oct 15 2014 umeabot <umeabot> 1.4.1-5.mga5
+ Revision: 746135
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.4.1-4.mga5
+ Revision: 726737
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.4.1-3.mga5
+ Revision: 681592
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.4.1-2.mga4
+ Revision: 539115
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 luigiwalser <luigiwalser> 1.4.1-1.mga4
+ Revision: 491490
- 1.4.1

* Tue Aug 20 2013 luigiwalser <luigiwalser> 1.4.0-2.mga4
+ Revision: 468279
- rebuild for libebml

* Mon Jun 24 2013 fwang <fwang> 1.4.0-1.mga4
+ Revision: 446119
- bump libmajor
- fix req
- new version 1.4.0

* Sat Jan 12 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 357729
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 fwang <fwang> 1.3.0-1.mga2
+ Revision: 148445
- fix lib major
- new version 1.3.0

* Fri Jul 01 2011 ahmad <ahmad> 1.2.0-1.mga2
+ Revision: 117054
- Update to 1.2.0
- Correct the License tag
- Bump BR libebml-devel version
- %%doc one more file and fix end of line encoding
- Build with our default compile flags
- Make the libraries executable so that the can be stripped and -debug isn't
  empty

* Wed Feb 02 2011 ahmad <ahmad> 1.1.0-2.mga1
+ Revision: 46458
- bump libebml BR to 1.2.0

* Wed Feb 02 2011 ahmad <ahmad> 1.1.0-1.mga1
+ Revision: 46445
- fix major
+ dmorgan <dmorgan>
- New version

* Tue Jan 25 2011 ahmad <ahmad> 1.0.0-2.mga1
+ Revision: 39559
- don't ship .a
- drop old/unneeded scriptlets
- imported package libmatroska


* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 550343
- new version
- new major
- bump ebml dep
- rename devel package

* Fri Jul 11 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-2mdv2009.0
+ Revision: 233754
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.8.1-1mdv2008.1
+ Revision: 140925
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Feb 09 2007 Götz Waschk <waschk@mandriva.org> 0.8.1-1mdv2007.0
+ Revision: 118560
- new version

* Fri Nov 03 2006 Götz Waschk <waschk@mandriva.org> 0.8.0-2mdv2007.1
+ Revision: 76197
- Import libmatroska

* Wed Oct 19 2005 Götz Waschk <waschk@mandriva.org> 0.8.0-1mdk
- bump deps
- New release 0.8.0

* Thu Jun 09 2005 Götz Waschk <waschk@mandriva.org> 0.7.7-2mdk
- mkrel

* Tue May 24 2005 Götz Waschk <waschk@mandriva.org> 0.7.7-1mdk
- New release 0.7.7

* Tue Apr 19 2005 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-1mdk
- libify
- New release 0.7.6

* Mon Feb 07 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.7.5-1mdk
- New release 0.7.5

* Tue Nov 09 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.4-1mdk
- requires new libebml
- new version

* Tue Aug 24 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.7.3-1mdk
- New release 0.7.3

* Mon Jul 26 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.1-2mdk
- drop patch
- fix source URL
- new version

* Tue Jun 08 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.0-2mdk
- disable tests for now
- rebuild for new g++

* Sat Apr 24 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.0-1mdk
- requires new ebml
- new version

* Sat Apr 03 2004 Götz Waschk <waschk@linux-mandrake.com> 0.6.3-2mdk
- new ebml

